using DoWhatPlc;
using DtWebApi;
using System;
using System.Collections;
using System.Collections.Concurrent;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DtWebApi
{
    public class SaveData
    {

        public static QualityDataSaveList ReadPLC_Sync_DataList_MesRead(string opName)
        {
            string api = "";
            string type = "GET";
            string controlStr = "PLC1";
            string actionStr = "ReadPLC_Sync_DataList_MesRead";
            Dictionary<string, string> dic = new Dictionary<string, string>();
            dic.Add("opName", opName);
            var rc = new CallWebApi().InvokeWebapiQualityDataSaveList(controlStr, actionStr, api, type, dic);
            return rc;
        }

        public static object SaveQualityData_ByOnlyDataGroup(string opName, string tagID)
        {
            string api = "";
            string type = "GET";
            string controlStr = "PLC1";
            string actionStr = "SaveQualityData_ByOnlyDataGroup";
            Dictionary<string, string> dic = new Dictionary<string, string>();
            dic.Add("opName", opName);
            dic.Add("tagID", tagID);
            var rc = new CallWebApi().InvokeWebapiBool(controlStr, actionStr, api, type, dic);
            return rc;
        }
        //SaveQualityData_ByOnlyDataGroup(string opName, string tagID)
    }


}
